%define oname   mygpoclient

Summary:        Library for accessing my.gpodder.org web services
Name:           python-%oname
Version:        1.9
Release:        %mkrel 5
License:        GPLv3
Group:          Development/Python
Url:            http://thpinfo.com/2010/mygpoclient/
Source0:        http://thpinfo.com/2010/mygpoclient/%{oname}-%{version}.tar.gz
BuildArch:      noarch

%description
The mygpoclient library allows developers to utilize a Pythonic
interface to the my.gpodder.org web services for synchronizing podcast
subscriptions. This page provides the public place for downloading
source releases of the library.

%package -n	python3-%{oname}
Summary:	Python3 Library for accessing my.gpodder.org web services
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{oname}}

%description -n	python3-%{oname}
The mygpoclient library allows developers to utilize a Pythonic
interface to the my.gpodder.org web services for synchronizing podcast
subscriptions. This page provides the public place for downloading
source releases of the library.

%prep
%setup -q -n %oname-%version
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mygpoclient


%files -n python3-%{oname} -f %{pyproject_files}
%doc AUTHORS README.md
%{_bindir}/mygpo-bpsync
%{_bindir}/mygpo-list-devices
%{_bindir}/mygpo-simple-client
%{_mandir}/man1/mygpo-bpsync.1.*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9-5.mga10
+ Revision: 2238664
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.9-4.mga10
+ Revision: 2155333
- rebuild for python3.13

* Sat Mar 01 2025 wally <wally> 1.9-3.mga10
+ Revision: 2155255
- rebuild for python3.13

* Sun Dec 17 2023 papoteur <papoteur> 1.9-2.mga10
+ Revision: 2018543
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 1.8-7.mga9
+ Revision: 1823345
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 1.8-6.mga9
+ Revision: 1782915
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.8-5.mga9
+ Revision: 1706379
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.8-4.mga8
+ Revision: 1533422
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 1.8-3.mga8
+ Revision: 1444278
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.8-3.mga7
+ Revision: 1353438
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.8-2.mga7
+ Revision: 1289328
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 daviddavid <daviddavid> 1.8-1.mga7
+ Revision: 1236435
- new version: 1.8
- rename python-mygpoclient to python2-mygpoclient
- add the Python3 package

* Thu Feb 04 2016 umeabot <umeabot> 1.7-8.mga6
+ Revision: 935450
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-7.mga5
+ Revision: 740134
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7-6.mga5
+ Revision: 729141
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 688168
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.7-3.mga4
+ Revision: 543745
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7-2.mga4
+ Revision: 498958
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 1.7-1.mga4
+ Revision: 491688
- Update to 1.7

* Sun Jan 13 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 379156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 22 2011 philippem <philippem> 1.6-1.mga2
+ Revision: 157370
- new version 1.6

* Wed Jul 13 2011 stormi <stormi> 1.5-4.mga2
+ Revision: 123741
- increase release so that it's higher than in Mageia 1

* Thu Jun 09 2011 ahmad <ahmad> 1.5-3.mga2
+ Revision: 102598
- imported package python-mygpoclient


* Thu Jun 09 2011 ahmad <ahmad> 1.5-3.mga2
+ Revision: 102598
- imported package python-mygpoclient


* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 1.5-2mdv2011.0
+ Revision: 591742
- rebuild for py 2.7

* Sun Oct 10 2010 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2011.0
+ Revision: 584541
- new version
- drop patch

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2011.0
+ Revision: 581208
- fix server response checking (bug #1131)

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2010.1
+ Revision: 538917
- update to new version 1.4

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 1.3-1mdv2010.1
+ Revision: 538815
- new version
- add bpsync tool

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2010.1
+ Revision: 519818
- update to new version 1.2
- remove dep on simplejson

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 1.1-1mdv2010.1
+ Revision: 508386
- update to new version 1.1

* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2010.1
+ Revision: 500722
- add dep on simplejson

* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2010.1
+ Revision: 500715
- import python-mygpoclient


